Bug 135532 - NullPointerException at org.netbeans.lib.profiler.ui.memory.SnapshotAllocResultsPanel.fetchResultsFromSnapshot
NullPointerException at org.netbeans.lib.profiler.ui.memory.SnapshotAllocResu...
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Petr Cyhelsky
issues@profiler
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 17:41 UTC by grafl
Modified: 2009-06-09 14:17 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.82 KB, text/plain)
2008-05-21 17:41 UTC, grafl
Details
stacktrace (1.82 KB, text/plain)
2008-08-27 18:05 UTC, alexanderfrey
Details
stacktrace (1.91 KB, text/plain)
2009-03-24 12:46 UTC, Petr Cyhelsky
Details
stacktrace (2.00 KB, text/plain)
2009-03-30 17:19 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description grafl 2008-05-21 17:41:21 UTC
Build: NetBeans IDE 6.1 (Build 200804211638)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05, Java(TM) SE Runtime Environment, 1.6.0_03-b05
OS: Windows XP, 5.1, x86

User Comments:
Comment 1 grafl 2008-05-21 17:41:26 UTC
Created attachment 61703 [details]
stacktrace
Comment 2 Tomas Hurka 2008-07-22 16:54:23 UTC
I am unable to reproduce it. Can you please provide steps how to reproduce it? Thanks.
Comment 3 alexanderfrey 2008-08-27 18:05:24 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 10.0-b23, Java(TM) SE Runtime Environment, 1.6.0_07-b06
OS: Linux, 2.6.26-5-generic, i386

User Comments: 
While profiling my app I pressed "Take Snapshot" then the exception was thrown....

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.lib.profiler.ui.memory.SnapshotAllocResultsPanel.fetchResultsFromSnapshot(SnapshotAllocResultsPanel.java:144)
        at org.netbeans.lib.profiler.ui.memory.SnapshotAllocResultsPanel.<init>(SnapshotAllocResultsPanel.java:81)
        at org.netbeans.modules.profiler.MemorySnapshotPanel.<init>(MemorySnapshotPanel.java:166)
        at org.netbeans.modules.profiler.SnapshotResultsWindow.displayMemoryResults(SnapshotResultsWindow.java:356)
        at org.netbeans.modules.profiler.SnapshotResultsWindow.<init>(SnapshotResultsWindow.java:184)
        at org.netbeans.modules.profiler.SnapshotResultsWindow.get(SnapshotResultsWindow.java:223)
Comment 4 alexanderfrey 2008-08-27 18:05:33 UTC
Created attachment 68468 [details]
stacktrace
Comment 5 mariadavydova 2008-09-23 14:49:24 UTC
remove incomplete 
Comment 6 Tomas Hurka 2008-09-23 14:55:41 UTC
Hmm, this does not help me to reproduce the issue. Can please provide exact steps how to reproduce it. You can also attach message.log to help us analyze 
this problem. Thanks.
Comment 7 Petr Cyhelsky 2008-11-24 12:44:13 UTC
reproduced
Comment 8 Exceptions Reporter 2009-03-16 13:44:43 UTC
This issue has already 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=56934
Comment 9 Petr Cyhelsky 2009-03-24 12:46:51 UTC
Build: NetBeans IDE Dev (Build 090323)
VM: Java HotSpot(TM) Client VM, 1.5.0_17-b02, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_17-b02
OS: Windows Vista, 6.0, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.lib.profiler.ui.memory.SnapshotAllocResultsPanel.fetchResultsFromSnapshot(SnapshotAllocResultsPanel.java:145)
        at org.netbeans.lib.profiler.ui.memory.SnapshotAllocResultsPanel.<init>(SnapshotAllocResultsPanel.java:82)
        at org.netbeans.modules.profiler.MemorySnapshotPanel.<init>(MemorySnapshotPanel.java:162)
        at org.netbeans.modules.profiler.SnapshotResultsWindow.displayMemoryResults(SnapshotResultsWindow.java:357)
        at org.netbeans.modules.profiler.SnapshotResultsWindow.<init>(SnapshotResultsWindow.java:185)
        at org.netbeans.modules.profiler.SnapshotResultsWindow.get(SnapshotResultsWindow.java:224)
Comment 10 Petr Cyhelsky 2009-03-24 12:46:55 UTC
Created attachment 78740 [details]
stacktrace
Comment 11 Exceptions Reporter 2009-03-30 17:19:36 UTC
Build: NetBeans IDE Dev (Build 200903291205)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows Vista, 6.0, amd64

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.lib.profiler.ui.memory.SnapshotAllocResultsPanel.fetchResultsFromSnapshot(SnapshotAllocResultsPanel.java:145)
        at org.netbeans.lib.profiler.ui.memory.SnapshotAllocResultsPanel.<init>(SnapshotAllocResultsPanel.java:82)
        at org.netbeans.modules.profiler.MemorySnapshotPanel.<init>(MemorySnapshotPanel.java:162)
        at org.netbeans.modules.profiler.SnapshotResultsWindow.displayMemoryResults(SnapshotResultsWindow.java:357)
        at org.netbeans.modules.profiler.SnapshotResultsWindow.<init>(SnapshotResultsWindow.java:185)
        at org.netbeans.modules.profiler.SnapshotResultsWindow.get(SnapshotResultsWindow.java:224)
Comment 12 Exceptions Reporter 2009-03-30 17:19:46 UTC
Created attachment 79070 [details]
stacktrace
Comment 13 Petr Cyhelsky 2009-04-15 16:32:59 UTC
fixed in profiler-main: 17b660b301f8
Comment 14 Quality Engineering 2009-04-16 07:59:34 UTC
Integrated into 'main-golden', will be available in build *200904160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/17b660b301f8
User: Petr Cyhelsky <cyhelsky@netbeans.org>
Log: #135532 introduced timeout to ensure that the dump snapshot data thread has enough time to finish
Comment 15 matusdekanek 2009-06-09 14:17:59 UTC
seems to work, marking verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo